# Query system agent configuration

Query the configuration of the specified system agent in the workspace.

```text
GET $CLOUDSIGMA_API_BASE/workspaces/{workspace_id}/system-agent-setups/{agent_id}
```

## Before you call this API

Configure the [regional API endpoint and authentication](https://omnifabric.cloudsigma.com/docs/developer/endpoints-and-authentication.html.md), and select the target workspace.

Set `$AGENT_ID` to the ID of the system agent to retrieve.

## Request example

```bash
curl "$CLOUDSIGMA_API_BASE/workspaces/$WORKSPACE_ID/system-agent-setups/$AGENT_ID" -H "X-API-Key: $CLOUDSIGMA_API_KEY" -H "X-Workspace-ID: $WORKSPACE_ID"
```

## Successful response

Returns `200` and system agent configuration on success.

```json
{"code":0,"data":{"agent_id":"agent_01"}}
```

The response fields are as follows.

| Field | Type | Description |
| --- | --- | --- |
| `data.agent_id` | string | System agent ID. |

## Error response

```json
{"code":5,"message":"not found"}
```
